"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8551fdc0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8551fe50>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8551fee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8551ff70>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525040>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff855250d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff855251f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525280>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525310>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff855253a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525430>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff855254c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525550>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff855255e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525670>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525700>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525790>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525820>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff855258b0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525940>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff855259d0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525a60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525af0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525c10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525b80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525ca0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525d30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525dc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525e50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525ee0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff85525f70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527040>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff855270d0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527160>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff855271f0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527280>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527310>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff855273a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527430>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff855274c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527550>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff855275e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527670>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527790>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527820>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff855278b0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527940>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff855279d0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527a60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527af0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527b80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527c10>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527ca0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527d30>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527dc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527e50>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527ee0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff85527f70>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b040>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b0d0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b1f0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b280>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b430>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b310>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b4c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b550>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b5e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b670>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b820>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b790>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b8b0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b940>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552b9d0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552baf0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552ba60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552bb80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552bc10>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552bca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552bd30>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552bdc0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8552be50>)]
name: str = 'fr_HOCCN'
